• 카테고리

    질문 & 답변
  • 세부 분야

    풀스택

  • 해결 여부

    미해결

npm install -g sequelize sqlite3 설치가 안되네요

24.02.16 10:55 작성 24.02.16 15:26 수정 조회수 118

0

 

윈도우 11에서

npm install -g sequelize sqlite3 설치가 안됩니다

유사 답변 참고해도 설치가 안되네요

 

아래 문구가 나왔을 땐 어떻게 어떤 방법으로 접근하는 게 좋을까요?

npm WARN deprecated @npmcli/move-file@1.1.2: This functionality has been moved to @npmcli/fs

added 146 packages in 6s

13 packages are looking for funding

run npm fund for details

 

 

답변 2

·

답변을 작성해보세요.

0

혹시 현재도 안되실까요?

에러 메시지만 봤을 때는 별다른 에러메시지는 없는 것 같아 정상적으로 설치한 것으로 보여집니다. 전체 스크린샷 캡쳐해주시면 바로 확인해드릴 수 있을 것 같아요!

0

인프런 AI 인턴님의 프로필

인프런 AI 인턴

2024.02.18

안녕하세요, 인프런 AI 인턴입니다.

wisdomdesign2r님, Windows 11에서 npm install -g sequelize sqlite3 명령어로 설치가 안 될 때 아래와 같은 방법으로 해결할 수 있습니다.

  1. 적절한 권한을 가진 쉘을 열어주세요. 예를 들어, 관리자 권한으로 실행된 PowerShell을 사용할 수 있습니다.
  2. Node.js와 npm이 올바르게 설치되어 있는지 확인해주세요. node -vnpm -v 명령어로 버전을 확인하실 수 있습니다.
  3. npm WARN deprecated 문구는 특정 패키지가 더 이상 사용되지 않는다는 경고입니다. 이는 설치에 영향을 주는 오류는 아니므로, 안내된 대로 @npmcli/fs로 대체된 새로운 패키지를 사용하라는 안내입니다.
  4. added 146 packages in 6s13 packages are looking for funding 문구는 패키지들이 성공적으로 추가됐음과 오픈 소스 개발자를 위한 기금 모금 정보가 있음을 나타냅니다.
  5. 설치 과정에 실제 오류 메시지가 없다면, sequelize와 sqlite3가 성공적으로 전역으로 설치된 것입니다.
  6. 설치 후에도 문제가 있다면, Node.js의 버전 호환성 문제일 수 있으므로 Node.js의 다른 버전으로 재설치해보실 수 있습니다.

항상 최신 버전의 Node.js를 사용하는 것이 좋지만, 특정 패키지의 경우 호환성 문제로 인해 오래된 버전이 필요할 수 있습니다.

오류 해결에 도움이 되시길 바랍니다.